function [V]= Calculate_Flux_Pathway(y)

Parameter_Setting;


V(1)          =   (kcat11*PtrPAL1*y(1)/(y(1)*(1+y(4)/kiu1) + km11*(1 + y(2)/kic11 +  y(4)/kic111 ))) + ((kcat12*PtrPAL2*y(1))/(y(1)*(1+ + y(2)/kiu12...
                + y(4)/kiu121) + km12*(1 + y(2)/kic12 +  y(4)/kic121 ))) + ((kcat13*PtrPAL3*y(1))/(y(1)*(1+ y(2)/kiu13 + y(4)/kiu131) + km13*(1 + y(2)/kic13...
                + y(4)/kic131 ))) + ((kcat14*PtrPAL45*y(1))/(y(1)*(1+y(4)/kiu14) + km14*(1 + y(2)/kic14 +  y(4)/kic141)));
V(2)          =   (kcat2*PtrC4H12*y(2))/(y(2) + km2);
V(3)          =   (kcat3*PtrC3H3*y(3))/(y(3) + km3);
V(4)          =   (y(4)*kcat4*PtrCOMT2)/(y(4)*(1+(y(16)/kiu41) + (y(21)/kiu42) + (y(6)/kiu43)+ (y(18)/kiu44) + (y(23)/kiu45)) + km4*(1 +(y(16)/kic41)...
                + (y(21)/kic42) + (y(6)/kic43)+ (y(18)/kic44) + (y(23)/kic45)))  ;
V(5)          =   (y(5)*kcat51*PtrCAld5H1)/(y(5)*(1+(y(17)/kiu51) + km51*(1 +(y(17)/kic51)))) + (y(5)*kcat52*PtrCAld5H2)/(y(5)*(1+(y(17)/kiu52)...
                + km52*(1 +(y(17)/kic52))));
V(6)          =   (y(6)*kcat6*PtrCOMT2)/(y(6) + km6);
V(7)          =   (kcat71*Ptr4CL3*y(3)/((km71*(1+ (y(4)/k73c1) + (y(5)/k73c2) + (y(6)/k73c3) + (y(7)/k73c4))) + y(3))) + ...
                (kcat72*Ptr4CL5*y(3)/(y(3)*(1+ (y(4)/k75u1) + (y(5)/k75u2) + (y(6)/k75u3) + (y(7)/k75u4)) + km72*(1 + (y(4)/k75c1) + (y(5)/k75c2)...
                + (y(6)/k75c3)+ (y(7)/k75c4))));
V(8)          =   (kcat81*Ptr4CL3*y(4)/((km81*(1+ (y(3)/k83c1) + (y(5)/k83c2) + (y(6)/k83c3))+ y(4)))) +  (kcat82*Ptr4CL5*y(4)/((km82*(1+ (y(3)/k85c1)...
                + (y(5)/k85c2) + (y(6)/k85c3) + (y(7)/k85c4))+ y(4)*(1 + (y(3)/k85u1) + (y(5)/k85u2) + (y(6)/k85u3) + (y(7)/k85u4) + (y(4)/kis85)))));
V(9)          =   y(5)*kcat91*Ptr4CL3/((km91*(1 + (y(3)/k93c1) + (y(4)/k93c2) + (y(6)/k93c3) + (y(7)/k93c4))) + y(5)) +...
                (y(5)*kcat92*Ptr4CL5/(km92*(1 + (y(3)/k95c1) + (y(4)/k95c2) + (y(6)/k95c3) + (y(7)/k95c4)) + y(5)*(1 + (y(4)/k95u1) + (y(6)/k95u2)...
                + y(7)/k95u3)));
V(10)         =   (y(6)*kcat101*Ptr4CL3/(km101 + y(6))) +  (y(6)*kcat102*Ptr4CL5/(km102 + y(6)));
V(11)         =   (y(7)*kcat111*Ptr4CL5/(km111 + y(7)));
V(12)         =   y(8)*kcat121*PtrHCT1/(y(8) + km121) + y(8)*kcat122*PtrHCT6/(y(8) + km122);
V12R          =   y(9)*kcat121R*PtrHCT1/(y(9) + km121R) + y(9)*kcat122R*PtrHCT6/(y(9) + km122R);
V(13)         =   y(9)*kcat131*PtrC3H3/(y(9) + km131);
V(14)         =   y(10)*kcat141*PtrHCT1/(y(10) + km141)+ y(10)*kcat142*PtrHCT6/(y(10) + km142);
V14R          =   y(11)*kcat141R*PtrHCT1/(y(11) + km141R)+ y(11)*kcat142R*PtrHCT6/(y(11) + km142R);
V(15)         =   y(11)*kcat151*PtrCCoAOMT1/(y(11) + km151) + y(11)*kcat152*PtrCCoAOMT2/(y(11) + km152) + y(11)*kcat153*PtrCCoAOMT3/(y(11) + km153);
V(16)         =   0;
V(17)         =   (y(8)*PtrCCR2*kcat181/(y(8) + km181));
V(18)         =   (y(11)*PtrCCR2*kcat191)/(y(11) + km191);
V(19)         =   (y(12)*PtrCCR2*kcat201)/(y(12) + km201);
V(20)         =   0;
V(21)         =   0;
V(22)         =   (y(16)*kcat241*PtrCOMT2)/(y(16)*(1+(y(18)/kiu241) + (y(16)/kis241)) + km241*(1 +(y(4)/kic241) + (y(6)/kic242) + (y(18)/kic243)...
                + (y(23)/kic244)))  ;
V(23)         =   y(17)*PtrCAld5H1*kcat251/(y(17) + km251) + y(17)*PtrCAld5H2*kcat252/(y(17) + km252);
V(24)         =   y(18)*kcat261*PtrCOMT2/(y(18)*(1+(y(21)/kiu261) + (y(18)/kis261)) + km261*(1 +(y(16)/kic261) + (y(21)/kic262) +  (y(23)/kic263)));
V(25)         =   y(15)*45.89/(2.97+y(15));
V(26)         =   0;
V(27)         =   y(17)*kcat291*PtrCAD1/(y(17)*(1 + (y(19)/kiu291)) + km291*(1+ (y(19)/kic291))) + y(17)*kcat292*PtrCAD2/(y(17) + km292);
V(28)         =   0;
V(29)         =   y(19)*kcat311*PtrCAD1/(y(19)*(1 + (y(17)/kiu311)) + km311*(1+ (y(17)/kic311))) + y(19)*kcat312*PtrCAD2/(y(19) + km312);
V(30)         =   y(21)*kcat331*PtrCOMT2/(y(21)*(1+(y(16)/kiu331) + (y(18)/kiu332) + (y(23)/kiu333) +(y(21)/kis331)) + km331*(1 +(y(16)/kic331) + (y(18)/kic332)));
V(31)         =   y(22)*kcat341*PtrCAld5H1/(y(22)*(1 + y(17)/kiu341) + km341*(1 + y(17)/kic341)) + y(22)*kcat342*PtrCAld5H2/(y(22) + km342*(1 + y(17)/kic342));
V(32)         =   y(23)*kcat351*PtrCOMT2/(y(23)*(1 + y(23)/kis351 + y(21)/kis351) + km351);
V(34)         =   y(22);
V(35)         =   y(24);
V(33)         =   y(20);



fprintf('V0     =   %5.3E \n',V(1))
fprintf('V1     =   %5.3E \n',V(1))
fprintf('V2     =   %5.3E \n',V(2))
fprintf('V3     =   %5.3E \n',V(3))
fprintf('V4     =   %5.3E \n',V(4))
fprintf('V5     =   %5.3E \n',V(5))
fprintf('V6     =   %5.3E \n',V(6))
fprintf('V7     =   %5.3E \n',V(7))
fprintf('V8     =   %5.3E \n',V(8))
fprintf('V9     =   %5.3E \n',V(9))
fprintf('V10    =   %5.3E \n',V(10))
fprintf('V11    =   %5.3E \n',V(11))
fprintf('V12    =   %5.3E \n',V(12))
fprintf('V13    =   %5.3E \n',V(13))
fprintf('V14    =   %5.3E \n',V(14))
fprintf('V15    =   %5.3E \n',V(15))
fprintf('V16    =   %5.3E \n',V(16))
fprintf('V17    =   %5.3E \n',V(17))
fprintf('V18    =   %5.3E \n',V(18))
fprintf('V19    =   %5.3E \n',V(19))
fprintf('V20    =   %5.3E \n',V(20))
fprintf('V21    =   %5.3E \n',V(21))
fprintf('V22    =   %5.3E \n',V(22))
fprintf('V23    =   %5.3E \n',V(23))
fprintf('V24    =   %5.3E \n',V(24))
fprintf('V25    =   %5.3E \n',V(25))
fprintf('V26    =   %5.3E \n',V(26))
fprintf('V27    =   %5.3E \n',V(27))
fprintf('V28    =   %5.3E \n',V(28))
fprintf('V29    =   %5.3E \n',V(29))
fprintf('V30    =   %5.3E \n',V(30))
fprintf('V31    =   %5.3E \n',V(31))
fprintf('V32    =   %5.3E \n',V(32))
fprintf('V33    =   %5.3E \n',V(33))
fprintf('V34    =   %5.3E \n',V(34))
fprintf('V35    =   %5.3E \n',V(35))

end