clc
clear all

format shorte

%File containing all the parameters as well as the initial conditions and
%the time span used to solve the ode

Parameter_Setting;
  
%ODE options
options=odeset('RelTol',1e-6,'AbsTol',1e-8,'NonNegative',[1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24]) ;   
 
[t y]=ode15s('Pathway_ODE',tspan,y0,options);

Steady_State_Concentration = [y(M,1) y(M,2) y(M,3) y(M,4) y(M,5) y(M,6) y(M,7) y(M,8) y(M,9) y(M,10) y(M,11) y(M,12)...
    y(M,13) y(M,14) y(M,15) y(M,16) y(M,17) y(M,18) y(M,19) y(M,20) y(M,21) y(M,22) y(M,23) y(M,24) ]';



fprintf('Steady-State Flux micromole/min \n\n');

Steady_State_Flux = Calculate_Flux_Pathway(Steady_State_Concentration);